Package org.python.core.io

## Class TextIOInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.python.core.io.TextIOInputStream

- All Implemented Interfaces:
    `java.io.Closeable`, `java.lang.AutoCloseable`

      public class TextIOInputStream
      extends java.io.InputStream

  An InputStream tie-in to a TextIOBase.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TextIOInputStream​(TextIOBase textIO)` | Creates an InputStream wrapper to a given TextIOBase.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `int` | `read()` |
    `int` | `read​(byte[] b, int off, int len)` |
    `long` | `skip​(long n)` |

    - ### Methods inherited from class java.io.InputStream

      `available, mark, markSupported, nullInputStream, read, readAllBytes, readNBytes, readNBytes, reset, transferTo`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextIOInputStream

          public TextIOInputStream​(TextIOBase textIO)

      Creates an InputStream wrapper to a given TextIOBase.
      Parameters:
        `textIO` - a TextIOBase

  - ### Method Detail

    - #### read

          public int read()
                   throws java.io.IOException

      Specified by:
        `read` in class `java.io.InputStream`
      Throws:
        `java.io.IOException`

    - #### read

          public int read​(byte[] b,
                          int off,
                          int len)
                   throws java.io.IOException

      Overrides:
        `read` in class `java.io.InputStream`
      Throws:
        `java.io.IOException`

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in interface `java.io.Closeable`
      Overrides:
        `close` in class `java.io.InputStream`
      Throws:
        `java.io.IOException`

    - #### skip

          public long skip​(long n)
                    throws java.io.IOException

      Overrides:
        `skip` in class `java.io.InputStream`
      Throws:
        `java.io.IOException`